Errors when attempting to follow "Loading Chrome Extensions in brave" steps


#1

Hi, apologies in advance if I don’t include something necessary, I am pretty much a complete beginner when it comes to using the command line/terminal.

I don’t know what version I’m using or how to check but I literally downloaded it an hour ago so I imagine the latest version.

I am attempting to follow the steps outlined here, and have followed the first couple of steps, however I am encountering trouble when attempting to use the “npm install” and “npm start” commands. During the install, it works smoothly until almost the end, and the error log for this is as follows: (For privacy’s sake I’ve replaced any usernames other than my own with xx)

54444 info lifecycle prebuild-install@2.2.2~install: prebuild-install@2.2.2
54445 silly install bufferutil@3.0.2
54446 info lifecycle bufferutil@3.0.2~install: bufferutil@3.0.2
54447 verbose lifecycle bufferutil@3.0.2~install: unsafe-perm in lifecycle true
54448 verbose lifecycle bufferutil@3.0.2~install: PATH: C:\Program Files\nodejs\node_modules\npm\bin\node-gyp-bin;C:\browser-laptop\node_modules\bufferutil\node_modules.bin;C:\browser-laptop\node_modules.bin;C:\ProgramData\Oracle\Java\javapath;C:\Program Files (x86)\Common Files\Microsoft Shared\Windows Live;C:\Program Files (x86)\Intel\iCLS Client;C:\Program Files\Intel\iCLS Client;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0;C:\Program Files\Intel\Intel® Management Engine Components\DAL;C:\Program Files\Intel\Intel® Management Engine Components\IPT;C:\Program Files (x86)\Intel\Intel® Management Engine Components\DAL;C:\Program Files (x86)\Intel\Intel® Management Engine Components\IPT;C:\Program Files (x86)\ATI Technologies\ATI.ACE\Core-Static;C:\Program Files (x86)\Steam;C:\Users\xx\AppData\Local\Smartbar\Application;C:\Users\xx\AppData\Local\Smartbar\Application;C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;C:\Program Files (x86)\Skype\Phone;C:\Program Files\Git\cmd;C:\Program Files\nodejs;C:\Program Files\Common Files\Microsoft Shared\Windows Live;C:\Python30;C:\Users\Nathan Mayes\AppData\Roaming\npm
54449 verbose lifecycle bufferutil@3.0.2~install: CWD: C:\browser-laptop\node_modules\bufferutil
54450 silly lifecycle bufferutil@3.0.2~install: Args: [ ‘/d /s /c’, ‘prebuild-install || node-gyp rebuild’ ]
54451 silly lifecycle bufferutil@3.0.2~install: Returned: code: 1 signal: null
54452 info lifecycle bufferutil@3.0.2~install: Failed to exec install script
54453 silly install bittorrent-tracker@9.2.3
54454 info lifecycle bittorrent-tracker@9.2.3~install: bittorrent-tracker@9.2.3
54455 silly install leveldown@1.7.2
54456 info lifecycle leveldown@1.7.2~install: leveldown@1.7.2
54457 verbose lifecycle leveldown@1.7.2~install: unsafe-perm in lifecycle true
54458 verbose lifecycle leveldown@1.7.2~install: PATH: C:\Program Files\nodejs\node_modules\npm\bin\node-gyp-bin;C:\browser-laptop\node_modules\leveldown\node_modules.bin;C:\browser-laptop\node_modules.bin;C:\ProgramData\Oracle\Java\javapath;C:\Program Files (x86)\Common Files\Microsoft Shared\Windows Live;C:\Program Files (x86)\Intel\iCLS Client;C:\Program Files\Intel\iCLS Client;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0;C:\Program Files\Intel\Intel® Management Engine Components\DAL;C:\Program Files\Intel\Intel® Management Engine Components\IPT;C:\Program Files (x86)\Intel\Intel® Management Engine Components\DAL;C:\Program Files (x86)\Intel\Intel® Management Engine Components\IPT;C:\Program Files (x86)\ATI Technologies\ATI.ACE\Core-Static;C:\Program Files (x86)\Steam;C:\Users\xx\AppData\Local\Smartbar\Application;C:\Users\xx\AppData\Local\Smartbar\Application;C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;C:\Program Files (x86)\Skype\Phone;C:\Program Files\Git\cmd;C:\Program Files\nodejs;C:\Program Files\Common Files\Microsoft Shared\Windows Live;C:\Python30;C:\Users\Nathan Mayes\AppData\Roaming\npm
54459 verbose lifecycle leveldown@1.7.2~install: CWD: C:\browser-laptop\node_modules\leveldown
54460 silly lifecycle leveldown@1.7.2~install: Args: [ ‘/d /s /c’, ‘prebuild-install || node-gyp rebuild’ ]
54461 silly lifecycle leveldown@1.7.2~install: Returned: code: 1 signal: null
54462 info lifecycle leveldown@1.7.2~install: Failed to exec install script
54463 verbose unlock done using C:\Users\Nathan Mayes\AppData\Roaming\npm-cache_locks\staging-2a507b48df8083f1.lock for C:\browser-laptop\node_modules.staging
54464 warn optional SKIPPING OPTIONAL DEPENDENCY: electron-installer-debian@github:brave/electron-installer-debian (node_modules\electron-installer-debian):
54465 warn notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for electron-installer-debian@0.5.2: wanted {“os”:“darwin,linux”,“arch”:“any”} (current: {“os”:“win32”,“arch”:“x64”})
54466 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Valid OS: darwin,linux
54466 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Valid Arch: any
54466 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Actual OS: win32
54466 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Actual Arch: x64
54467 warn optional SKIPPING OPTIONAL DEPENDENCY: electron-installer-redhat@github:brave/electron-installer-redhat (node_modules\electron-installer-redhat):
54468 warn notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for electron-installer-redhat@0.5.0: wanted {“os”:“darwin,linux”,“arch”:“any”} (current: {“os”:“win32”,“arch”:“x64”})
54469 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Valid OS: darwin,linux
54469 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Valid Arch: any
54469 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Actual OS: win32
54469 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Actual Arch: x64
54470 warn optional SKIPPING OPTIONAL DEPENDENCY: 7zip-bin-mac@1.0.1 (node_modules\7zip-bin-mac):
54471 warn notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for 7zip-bin-mac@1.0.1: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“win32”,“arch”:“x64”})
54472 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Valid OS: darwin
54472 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Valid Arch: any
54472 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Actual OS: win32
54472 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Actual Arch: x64
54473 warn optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.1.2 (node_modules\fsevents):
54474 warn notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.1.2: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“win32”,“arch”:“x64”})
54475 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Valid OS: darwin
54475 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Valid Arch: any
54475 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Actual OS: win32
54475 verbose notsup SKIPPING OPTIONAL DEPENDENCY: Actual Arch: x64
54476 warn optional SKIPPING OPTIONAL DEPENDENCY: sha3@1.2.0 (node_modules\sha3):
54477 warn optional SKIPPING OPTIONAL DEPENDENCY: sha3@1.2.0 install: node-gyp rebuild
54477 warn optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1
54478 verbose optional SKIPPING OPTIONAL DEPENDENCY:
54478 verbose optional Failed at the sha3@1.2.0 install script.
54478 verbose optional SKIPPING OPTIONAL DEPENDENCY: This is probably not a problem with npm. There is likely additional logging output above.
54479 warn optional SKIPPING OPTIONAL DEPENDENCY: bufferutil@3.0.2 (node_modules\bufferutil):
54480 warn optional SKIPPING OPTIONAL DEPENDENCY: bufferutil@3.0.2 install: prebuild-install || node-gyp rebuild
54480 warn optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1
54481 verbose optional SKIPPING OPTIONAL DEPENDENCY:
54481 verbose optional Failed at the bufferutil@3.0.2 install script.
54481 verbose optional SKIPPING OPTIONAL DEPENDENCY: This is probably not a problem with npm. There is likely additional logging output above.
54482 verbose stack Error: leveldown@1.7.2 install: prebuild-install || node-gyp rebuild
54482 verbose stack Exit status 1
54482 verbose stack at EventEmitter. (C:\Program Files\nodejs\node_modules\npm\node_modules\npm-lifecycle\index.js:280:16)
54482 verbose stack at emitTwo (events.js:126:13)
54482 verbose stack at EventEmitter.emit (events.js:214:7)
54482 verbose stack at ChildProcess. (C:\Program Files\nodejs\node_modules\npm\node_modules\npm-lifecycle\lib\spawn.js:55:14)
54482 verbose stack at emitTwo (events.js:126:13)
54482 verbose stack at ChildProcess.emit (events.js:214:7)
54482 verbose stack at maybeClose (internal/child_process.js:925:16)
54482 verbose stack at Process.ChildProcess._handle.onexit (internal/child_process.js:209:5)
54483 verbose pkgid leveldown@1.7.2
54484 verbose cwd C:\browser-laptop
54485 verbose Windows_NT 6.1.7601
54486 verbose argv “C:\Program Files\nodejs\node.exe” “C:\Program Files\nodejs\node_modules\npm\bin\npm-cli.js” "install"
54487 verbose node v8.9.3
54488 verbose npm v5.5.1
54489 error code ELIFECYCLE
54490 error errno 1
54491 error leveldown@1.7.2 install: prebuild-install || node-gyp rebuild
54491 error Exit status 1
54492 error Failed at the leveldown@1.7.2 install script.
54492 error This is probably not a problem with npm. There is likely additional logging output above.
54493 verbose exit [ 1, true ]

The “npm run watch” command appears to run fine, but when I attempt to use the “npm start” command I receive the following error log:

0 info it worked if it ends with ok
1 verbose cli [ ‘C:\Program Files\nodejs\node.exe’,
1 verbose cli ‘C:\Program Files\nodejs\node_modules\npm\bin\npm-cli.js’,
1 verbose cli ‘start’ ]
2 info using npm@5.5.1
3 info using node@v8.9.3
4 verbose run-script [ ‘prestart’, ‘start’, ‘poststart’ ]
5 info lifecycle brave@0.22.0~prestart: brave@0.22.0
6 info lifecycle brave@0.22.0~start: brave@0.22.0
7 verbose lifecycle brave@0.22.0~start: unsafe-perm in lifecycle true
8 verbose lifecycle brave@0.22.0~start: PATH: C:\Program Files\nodejs\node_modules\npm\bin\node-gyp-bin;C:\browser-laptop\node_modules.bin;C:\ProgramData\Oracle\Java\javapath;C:\Program Files (x86)\Common Files\Microsoft Shared\Windows Live;C:\Program Files (x86)\Intel\iCLS Client;C:\Program Files\Intel\iCLS Client;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0;C:\Program Files\Intel\Intel® Management Engine Components\DAL;C:\Program Files\Intel\Intel® Management Engine Components\IPT;C:\Program Files (x86)\Intel\Intel® Management Engine Components\DAL;C:\Program Files (x86)\Intel\Intel® Management Engine Components\IPT;C:\Program Files (x86)\ATI Technologies\ATI.ACE\Core-Static;C:\Program Files (x86)\Steam;C:\Users\xx\AppData\Local\Smartbar\Application;C:\Users\xx\AppData\Local\Smartbar\Application;C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;C:\Program Files (x86)\Skype\Phone;C:\Program Files\Git\cmd;C:\Program Files\nodejs;C:\Program Files\Common Files\Microsoft Shared\Windows Live;C:\Python30;C:\Users\Nathan Mayes\AppData\Roaming\npm
9 verbose lifecycle brave@0.22.0~start: CWD: C:\browser-laptop
10 silly lifecycle brave@0.22.0~start: Args: [ ‘/d /s /c’,
10 silly lifecycle ‘node ./tools/start.js --user-data-dir-name=brave-development --enable-logging --v=0 --enable-extension-activity-logging --enable-sandbox-logging --enable-dcheck’ ]
11 silly lifecycle brave@0.22.0~start: Returned: code: 1 signal: null
12 info lifecycle brave@0.22.0~start: Failed to exec start script
13 verbose stack Error: brave@0.22.0 start: node ./tools/start.js --user-data-dir-name=brave-development --enable-logging --v=0 --enable-extension-activity-logging --enable-sandbox-logging --enable-dcheck
13 verbose stack Exit status 1
13 verbose stack at EventEmitter. (C:\Program Files\nodejs\node_modules\npm\node_modules\npm-lifecycle\index.js:280:16)
13 verbose stack at emitTwo (events.js:126:13)
13 verbose stack at EventEmitter.emit (events.js:214:7)
13 verbose stack at ChildProcess. (C:\Program Files\nodejs\node_modules\npm\node_modules\npm-lifecycle\lib\spawn.js:55:14)
13 verbose stack at emitTwo (events.js:126:13)
13 verbose stack at ChildProcess.emit (events.js:214:7)
13 verbose stack at maybeClose (internal/child_process.js:925:16)
13 verbose stack at Process.ChildProcess._handle.onexit (internal/child_process.js:209:5)
14 verbose pkgid brave@0.22.0
15 verbose cwd C:\browser-laptop
16 verbose Windows_NT 6.1.7601
17 verbose argv “C:\Program Files\nodejs\node.exe” “C:\Program Files\nodejs\node_modules\npm\bin\npm-cli.js” "start"
18 verbose node v8.9.3
19 verbose npm v5.5.1
20 error code ELIFECYCLE
21 error errno 1
22 error brave@0.22.0 start: node ./tools/start.js --user-data-dir-name=brave-development --enable-logging --v=0 --enable-extension-activity-logging --enable-sandbox-logging --enable-dcheck
22 error Exit status 1
23 error Failed at the brave@0.22.0 start script.
23 error This is probably not a problem with npm. There is likely additional logging output above.
24 verbose exit [ 1, true ]

Apologies if I am missing any important information, and thanks in advance for any help.


#2

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.